> ## Documentation Index
> Fetch the complete documentation index at: https://docs.activeviam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get report infos



## OpenAPI

````yaml /risk-and-pricing/atoti-risk-services/apis-endpoints/openapi/openapi.mintlify.json post /api/VarReport/GetVarReportInfo
openapi: 3.0.1
info:
  title: Derivitec Api 1.0
  version: '1.0'
servers:
  - description: Derivitec Server
    url: https://api.riskportal.activeviam.com
security:
  - oauth2: []
  - apikey: []
paths:
  /api/VarReport/GetVarReportInfo:
    post:
      tags:
        - VarReport
      summary: Get report infos
      operationId: GetVarReportInfo
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/ApiGetVarReportInfoRequest'
          application/json:
            schema:
              $ref: '#/components/schemas/ApiGetVarReportInfoRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/ApiGetVarReportInfoRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ApiGetVarReportInfoRequest'
        description: The request.
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiGetVarReportInfoResponse'
          description: Success
        '400':
          description: BadRequest
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2: []
        - apikey: []
components:
  schemas:
    ApiGetVarReportInfoRequest:
      example:
        pricing_dates:
          - '2000-01-23T04:56:07.000+00:00'
          - '2000-01-23T04:56:07.000+00:00'
      properties:
        portfolio_name:
          nullable: true
          type: string
        portfolio_type:
          enum:
            - derivitec
            - enfusion
            - not_set
          nullable: true
          type: string
        pricing_dates:
          items:
            format: date-time
            type: string
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.Reports.ApiGetVarReportInfoRequest,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    ApiGetVarReportInfoResponse:
      example:
        report_infos:
          - status_message: status_message
            mkt_data_date: '2000-01-23T04:56:07.000+00:00'
            time_stamp: '2000-01-23T04:56:07.000+00:00'
            confidence_level: 0.8008281904610115
            historical_start_date_rule: historical_start_date_rule
            portfolio_name: portfolio_name
            first_observation_date: '2000-01-23T04:56:07.000+00:00'
            var_horizon: 1
            reporting_currency: reporting_currency
            real_time_mkt_data: true
            portfolio_id: 6
            id: id
            pricing_date: '2000-01-23T04:56:07.000+00:00'
            report_name: report_name
            portfolio_type: derivitec
            status: none
          - status_message: status_message
            mkt_data_date: '2000-01-23T04:56:07.000+00:00'
            time_stamp: '2000-01-23T04:56:07.000+00:00'
            confidence_level: 0.8008281904610115
            historical_start_date_rule: historical_start_date_rule
            portfolio_name: portfolio_name
            first_observation_date: '2000-01-23T04:56:07.000+00:00'
            var_horizon: 1
            reporting_currency: reporting_currency
            real_time_mkt_data: true
            portfolio_id: 6
            id: id
            pricing_date: '2000-01-23T04:56:07.000+00:00'
            report_name: report_name
            portfolio_type: derivitec
            status: none
      properties:
        is_success:
          type: boolean
        error_messages:
          items:
            type: string
          nullable: true
          type: array
        report_infos:
          items:
            $ref: '#/components/schemas/VarReportInfo'
          nullable: true
          type: array
        $type:
          type: string
          enum:
            - >-
              Derivitec.Web.Core.Reports.ApiGetVarReportInfoResponse,
              Derivitec.Web.Core
      required:
        - $type
      type: object
    VarReportInfo:
      example:
        status_message: status_message
        mkt_data_date: '2000-01-23T04:56:07.000+00:00'
        time_stamp: '2000-01-23T04:56:07.000+00:00'
        confidence_level: 0.8008281904610115
        historical_start_date_rule: historical_start_date_rule
        portfolio_name: portfolio_name
        first_observation_date: '2000-01-23T04:56:07.000+00:00'
        var_horizon: 1
        reporting_currency: reporting_currency
        real_time_mkt_data: true
        portfolio_id: 6
        id: id
        pricing_date: '2000-01-23T04:56:07.000+00:00'
        report_name: report_name
        portfolio_type: derivitec
        status: none
      properties:
        confidence_level:
          format: double
          type: number
        first_observation_date:
          format: date-time
          nullable: true
          type: string
        historical_start_date_rule:
          nullable: true
          type: string
        id:
          nullable: true
          type: string
        mkt_data_date:
          format: date-time
          type: string
        portfolio_id:
          format: int32
          type: integer
        portfolio_name:
          nullable: true
          type: string
        pricing_date:
          format: date-time
          type: string
        real_time_mkt_data:
          type: boolean
        reporting_currency:
          nullable: true
          type: string
        report_name:
          nullable: true
          type: string
        status:
          enum:
            - none
            - succeeded
            - failed
            - running
            - warning
          type: string
        status_message:
          nullable: true
          type: string
        time_stamp:
          format: date-time
          type: string
        var_horizon:
          format: int32
          type: integer
        portfolio_type:
          enum:
            - derivitec
            - enfusion
            - not_set
          type: string
        $type:
          type: string
          enum:
            - Derivitec.Web.Core.Reports.VarReportInfo, Derivitec.Web.Core
      required:
        - $type
      type: object
  securitySchemes:
    oauth2:
      description: >-
        OAuth2 access-token requested from AWS Cognito and provided as a Auth
        Bearer header
      flows:
        implicit:
          authorizationUrl: https://auth.riskportal.derivitec.com/oauth2/authorize
          scopes: {}
      type: oauth2
    apikey:
      description: API-Key requested via the site and provided as a header
      in: header
      name: x-api-key
      type: apiKey

````